OpenNMS API 1.2.9

## org.opennms.web.notification.bobject
Class GroupTarget

    java.lang.Object
      org.opennms.web.notification.bobject.NotificationTarget
          org.opennms.web.notification.bobject.GroupTarget

public class GroupTarget
extends NotificationTarget

A NotificationTarget representing a user target parsed from the notifications.xml.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`private java.lang.String` `m_commandName` The command name to use to contact this user
`private java.lang.String` `m_groupName` The userId of the target
`private java.util.List` `m_userTargets` The User object associated with this target

Fields inherited from class org.opennms.web.notification.bobject.NotificationTarget
`TARGET_TYPE_GROUP, TARGET_TYPE_NOTIF, TARGET_TYPE_USER`

Constructor Summary
`GroupTarget()` Default Constructor

Method Summary
`void` `addUserTarget(UserTarget target)` Adds a user target to this group target
`java.lang.String` `getCommandName()` Returns the command name for this target
`java.lang.String` `getGroupName()` Returns the userId for this target
`int` `getType()` Returns the type of the target
`java.util.List` `getUserTargets()` Returns the list of UserTargets in this group target
`void` `setCommandName(java.lang.String commandName)` Sets the command name for this target
`void` `setGroupName(java.lang.String name)` Sets the userId for this target

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_groupName

    private java.lang.String m_groupName

  The userId of the target

### m_userTargets

    private java.util.List m_userTargets

  The User object associated with this target

### m_commandName

    private java.lang.String m_commandName

  The command name to use to contact this user

Constructor Detail

### GroupTarget

    public GroupTarget()

  Default Constructor

Method Detail

### setGroupName

    public void setGroupName(java.lang.String name)

  Sets the userId for this target

  Parameters:
    `name` - the group name.

### getGroupName

    public java.lang.String getGroupName()

  Returns the userId for this target

  Returns:
    the group name.

### setCommandName

    public void setCommandName(java.lang.String commandName)

  Sets the command name for this target

  Parameters:
    `commandName` - the command name.

### getCommandName

    public java.lang.String getCommandName()

  Returns the command name for this target

  Returns:
    the command name.

### addUserTarget

    public void addUserTarget(UserTarget target)

  Adds a user target to this group target

  Parameters:
    `target` - a user target to be added.

### getUserTargets

    public java.util.List getUserTargets()

  Returns the list of UserTargets in this group target

  Returns:
    the list of user targets.

### getType

    public int getType()

  Returns the type of the target

  Specified by:
    `getType` in class `NotificationTarget`
  Returns:
    the target type, compare to NotificationTask.TARGET_TYPE_USER.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.